Loading...
Searching...
No Matches
dsam::DsamDevice Interface Reference

DSAM device interface. More...

`import "DsamDevice.idl";`

## Classes

struct | FirmwareVersion
| Firmware version. More...
struct | Info
| DSAm device info. More...

## Public Member Functions

Info | getInfo ()
| Get DSAM device info.
map< int, DsamPort > | getPorts ()
| Retrieve the current DSAM ports.
int | startFirmwareUpdate ()
| Start firmware update on the DSAM device.

## Public Attributes

constant int | SUCCESS = 0
| Success code.

## Detailed Description

DSAM device interface.

Definition at line 14 of file DsamDevice.idl.

## Member Function Documentation

## getInfo()

Info dsam::DsamDevice::getInfo | ( |  | ) |

Get DSAM device info.

Returns
  DSAM device info

## getPorts()

map< int, DsamPort > dsam::DsamDevice::getPorts | ( |  | ) |

Retrieve the current DSAM ports.

Returns
  Map with DSAM ports. Index is the port number (1-based).

## startFirmwareUpdate()

int dsam::DsamDevice::startFirmwareUpdate | ( |  | ) |

Start firmware update on the DSAM device.

Returns
  SUCCESS if no error occured

## Member Data Documentation

## SUCCESS

constant int dsam::DsamDevice::SUCCESS = 0

Success code.

Definition at line 17 of file DsamDevice.idl.

The documentation for this interface was generated from the following file:

- DsamDevice.idl